MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0029743Open CASCADE[OCCT] OCCT:Samplespublic2018-05-08 14:412018-05-23 11:38
Reporternds 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatustestedResolutionopen 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.3.0Fixed in Version 
Summary0029743: Samples - Inspector tool - crash by selecting TNaming_UsedShapes tree item
DescriptionAfter opening attached file in inspector and selection of TNaming_UsedShapes attribute, the tool is crashed.
Steps To Reproducetests/tools/dfbrowser/A7
TagsNo tags attached.
Test case numberNot needed
Attached Files? file icon bug29743.cbf (163,277 bytes) 2018-05-08 15:14

- Relationships
related to 0029733testedbugmaster TInspector can't open several cbf files 

-  Notes
(0075880)
git (administrator)
2018-05-08 14:48

Branch CR29743 has been created by nds.

SHA-1: ff4dca2ef55449eb900b01bfc18a22125d77300f


No new revisions were added by this update.
(0075881)
git (administrator)
2018-05-08 14:54

Branch CR29743 has been updated by nds.

SHA-1: 3585c78e07c1d74af2547ee4ea259c3cba2300b9


Detailed log of new commits:

Author: nds
Date: Tue May 8 14:54:18 2018 +0300

    0029743: Samples - Inspector tool - crash by selecting TNaming_UsedShapes tree item
    
    - TNaming_UsedShapes is corrected to do not call methods of empty TopoDS_Shape
    - DFBrowserPane presentation tree item for this is corrected in the same way and obsolete methods of processing SortedReferences are removed.

(0075883)
git (administrator)
2018-05-08 15:12

Branch CR29743 has been updated by nds.

SHA-1: 0c504ee5cd656a2f809267c1a8a6ccd55b028075


Detailed log of new commits:

Author: nds
Date: Tue May 8 15:12:45 2018 +0300

    # test case

(0075884)
git (administrator)
2018-05-08 15:19

Branch CR29743_1 has been created by nds.

SHA-1: f553e187b384b91fae74ca92c23cebd4ef0aa95f


Detailed log of new commits:

Author: nds
Date: Tue May 8 15:19:28 2018 +0300

    0029743: Samples - Inspector tool - crash by selecting TNaming_UsedShapes tree item
    
    - TNaming_UsedShapes is corrected to do not call methods of empty TopoDS_Shape
    - DFBrowserPane presentation tree item for this is corrected in the same way and obsolete methods of processing SortedReferences are removed.
(0075885)
nds (developer)
2018-05-08 15:21

Please, review modifications
(0075893)
szy (developer)
2018-05-08 16:40

The line
anOS << "Empty Shape" << endl;
gives nothing. I suggest like this:
TCollection_AsciiString entry =...; // put entry of the label with null shape
anOS << "Empty Shape at label = " << entry.ToCString() <<endl;
(0075895)
git (administrator)
2018-05-08 17:55

Branch CR29743_2 has been created by nds.

SHA-1: 32a023aa1f32e2bc0090568f14bba3d442f741d0


Detailed log of new commits:

Author: nds
Date: Tue May 8 17:55:09 2018 +0300

    0029743: Samples - Inspector tool - crash by selecting TNaming_UsedShapes tree item
    
    - TNaming_UsedShapes is corrected to do not call methods of empty TopoDS_Shape
    - TNaming_NamedShape is corrected to have not NULL TNaming_RefShape even if TopoDS_Shape is NULL(TNaming_Builder::Delete).
    - DFBrowserPane presentation tree item for this is corrected in the same way and obsolete methods of processing SortedReferences are removed.
(0075896)
nds (developer)
2018-05-08 17:58

Could you please, review modifications once again.
(0075919)
nds (developer)
2018-05-10 11:18

Jenkins for Branch CR29743_2 is in:
http://jenkins-test-11.nnov.opencascade.com:8080/view/CR29743_1-master-NDS/ [^]
(0075939)
szy (developer)
2018-05-11 12:10

Reviewed.
(0076146)
bugmaster (administrator)
2018-05-23 11:35

Combination -
OCCT branch : CR29743_2 SHA - 32a023aa1f32e2bc0090568f14bba3d442f741d0
Products branch : master SHA - 300cf879a836fb8a5c4636713070ca9cf544749f
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian70-64:
OCCT
Total CPU difference: 18246.29000000006 / 18243.73999999987 [+0.01%]
Products
Total CPU difference: 0 / 0
Windows-64-VC10:
OCCT
Total CPU difference: 18071.358641298586 / 18049.78370299853 [+0.12%]
Products
Total CPU difference: 7683.610853599943 / 7697.713343999945 [-0.18%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

- Issue History
Date Modified Username Field Change
2018-05-08 14:41 nds New Issue
2018-05-08 14:41 nds Assigned To => bugmaster
2018-05-08 14:42 nds Relationship added related to 0029733
2018-05-08 14:48 git Note Added: 0075880
2018-05-08 14:54 git Note Added: 0075881
2018-05-08 15:12 git Note Added: 0075883
2018-05-08 15:14 nds File Added: bug29743.cbf
2018-05-08 15:19 git Note Added: 0075884
2018-05-08 15:21 nds Note Added: 0075885
2018-05-08 15:21 nds Assigned To bugmaster => szy
2018-05-08 15:21 nds Status new => resolved
2018-05-08 15:21 nds Steps to Reproduce Updated View Revisions
2018-05-08 16:40 szy Note Added: 0075893
2018-05-08 16:40 szy Assigned To szy => nds
2018-05-08 16:40 szy Status resolved => assigned
2018-05-08 17:55 git Note Added: 0075895
2018-05-08 17:58 nds Note Added: 0075896
2018-05-08 17:58 nds Assigned To nds => szy
2018-05-08 17:58 nds Status assigned => resolved
2018-05-10 11:18 nds Note Added: 0075919
2018-05-11 12:10 szy Note Added: 0075939
2018-05-11 12:10 szy Assigned To szy => bugmaster
2018-05-11 12:10 szy Status resolved => reviewed
2018-05-23 11:35 bugmaster Note Added: 0076146
2018-05-23 11:35 bugmaster Status reviewed => tested
2018-05-23 11:38 bugmaster Test case number => Not needed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker